---
title: Inline elements
slug: Web/HTML/Inline_elements
tags:
  - Beginner
  - Elements
  - HTML
  - HTML Elements
  - 'HTML:Element Reference'
  - Layout
  - Reference
---
<p>HTML (<strong>Hypertext Markup Language</strong>) elements historically were categorized as either "block-level" elements or "inline-level" elements. Since this is a presentational characteristic it is nowadays specified by CSS in the <a href="/en-US/docs/Web/CSS/CSS_Flow_Layout">Flow Layout</a>.

<span class="seoSummary">Inline elements are those which only occupy the space bounded by the tags defining the element, instead of breaking the flow of the content.</span> In this article, we'll examine HTML inline-level elements and how they differ from <a href="/en-US/docs/Web/HTML/Block-level_elements">block-level elements</a>.</p>

<div class="note">
<p>An inline element does not start on a new line and only takes up as much width as necessary.</p>
</div>

<h2 id="Inline_vs._block-level_elements_a_demonstration">Inline vs. block-level elements: a demonstration</h2>

<p>This is most easily demonstrated with a simple example. First, some simple CSS that we'll be using:</p>

<pre class="brush: css notranslate">.highlight {
  background-color:#ee3;
}</pre>

<h3 id="Inline">Inline</h3>

<p>Let's look at the following example which demonstrates an inline element:</p>

<pre class="brush: html notranslate">&lt;div&gt;The following span is an &lt;span class="highlight"&gt;inline element&lt;/span&gt;;
its background has been colored to display both the beginning and end of
the inline element's influence.&lt;/div&gt;</pre>

<p>In this example, the {{HTMLElement("div")}} block-level element contains some text. Within that text is a {{HTMLElement("span")}} element, which is an inline element. Because the <code>&lt;span&gt;</code> element is inline, the paragraph correctly renders as a single, unbroken text flow, like this:</p>

<p>{{EmbedLiveSample("Inline", 600, 80)}}</p>

<div class="hidden">
<p>For looks, this CSS (not displayed in standard reading mode) is also used:</p>

<pre class="brush: css notranslate">body {
  margin: 0;
  padding: 4px;
  border: 1px solid #333;
}

.highlight {
  background-color:#ee3;
}</pre>
</div>

<h3 id="Block-level">Block-level</h3>

<p>Now let's change that <code>&lt;span&gt;</code> into a block-level element, such as {{HTMLElement("p")}}:</p>

<pre class="brush: html notranslate">&lt;div&gt;The following paragraph is a &lt;p class="highlight"&gt;block-level element;&lt;/p&gt;
its background has been colored to display both the beginning and end of
the block-level element's influence.&lt;/div&gt;</pre>

<div class="hidden">
<p>The CSS (not displayed in standard reading mode) is also used:</p>

<pre class="brush: css notranslate">body {
  margin: 0;
  padding: 4px;
  border: 1px solid #333;
}

.highlight {
  background-color:#ee3;
}</pre>
</div>

<p>Rendered using the same CSS as before, we get:</p>

<p>{{EmbedLiveSample("Block-level", 600, 150)}}</p>

<p>See the difference? The <code>&lt;p&gt;</code> element totally changes the layout of the text, splitting it into three segments: the text before the <code>&lt;p&gt;</code>, then the <code>&lt;p&gt;</code>'s text, and finally the text following the <code>&lt;p&gt;</code>.</p>

<h3 id="Changing_element_levels">Changing element levels</h3>

<p>You can change the <em>visual presentation</em> of an element using the CSS {{cssxref("display")}} property. For example, by changing the value of <code>display</code> from <code>"inline"</code> to <code>"block"</code>, you can tell the browser to render the inline element in a block box rather than an inline box, and vice versa. However, doing this will not change the <em>category</em> and the <em>content model</em> of the element. For example, even if the <code>display</code> of the <code>span</code> element is changed to <code>"block"</code>, it still would not allow to nest a <code>div</code> element inside it.</p>

<h2 id="Conceptual_differences">Conceptual differences</h2>

<p>In brief, here are the basic conceptual differences between inline and block-level elements:</p>

<dl>
 <dt>Content model</dt>
 <dd>Generally, inline elements may contain only data and other inline elements. You can't put block elements inside inline elements.</dd>
 <dt>Formatting</dt>
 <dd>By default, inline elements do not force a new line to begin in the document flow. Block elements, on the other hand, typically cause a line break to occur (although, as usual, this can be changed using CSS).</dd>
</dl>

<h2 id="Elements">List of "inline" elements</h2>

<p>The following elements are inline by default (although block and inline elements are no longer defined in HTML 5, use <a href="/en-US/docs/Web/Guide/HTML/Content_categories">content categories</a> instead):</p>

<div class="threecolumns">
<dl>
 <dt>{{ HTMLElement("a") }}</dt>
 <dt>{{ HTMLElement("abbr") }}</dt>
 <dt>{{ HTMLElement("acronym") }}</dt>
 <dt>{{ HTMLElement("audio") }} (if it has visible controls)</dt>
 <dt>{{ HTMLElement("b") }}</dt>
 <dt>{{ HTMLElement("bdi") }}</dt>
 <dt>{{ HTMLElement("bdo") }}</dt>
 <dt>{{ HTMLElement("big") }}</dt>
 <dt>{{ HTMLElement("br") }}</dt>
 <dt>{{ HTMLElement("button") }}</dt>
 <dt>{{ HTMLElement("canvas") }}</dt>
 <dt>{{ HTMLElement("cite") }}</dt>
 <dt>{{ HTMLElement("code") }}</dt>
 <dt>{{ HTMLElement("data") }}</dt>
 <dt>{{ HTMLElement("datalist") }}</dt>
 <dt>{{ HTMLElement("del") }}</dt>
 <dt>{{ HTMLElement("dfn") }}</dt>
 <dt>{{ HTMLElement("em") }}</dt>
 <dt>{{ HTMLElement("embed") }}</dt>
 <dt>{{ HTMLElement("i") }}</dt>
 <dt>{{ HTMLElement("iframe") }}</dt>
 <dt>{{ HTMLElement("img") }}</dt>
 <dt>{{ HTMLElement("input") }}</dt>
 <dt>{{ HTMLElement("ins") }}</dt>
 <dt>{{ HTMLElement("kbd") }}</dt>
 <dt>{{ HTMLElement("label") }}</dt>
 <dt>{{ HTMLElement("map") }}</dt>
 <dt>{{ HTMLElement("mark") }}</dt>
 <dt>{{ HTMLElement("meter") }}</dt>
 <dt>{{ HTMLElement("noscript") }}</dt>
 <dt>{{ HTMLElement("object") }}</dt>
 <dt>{{ HTMLElement("output") }}</dt>
 <dt>{{ HTMLElement("picture") }}</dt>
 <dt>{{ HTMLElement("progress") }}</dt>
 <dt>{{ HTMLElement("q") }}</dt>
 <dt>{{ HTMLElement("ruby") }}</dt>
 <dt>{{ HTMLElement("s") }}</dt>
 <dt>{{ HTMLElement("samp") }}</dt>
 <dt>{{ HTMLElement("script") }}</dt>
 <dt>{{ HTMLElement("select") }}</dt>
 <dt>{{ HTMLElement("slot") }}</dt>
 <dt>{{ HTMLElement("small") }}</dt>
 <dt>{{ HTMLElement("span") }}</dt>
 <dt>{{ HTMLElement("strong") }}</dt>
 <dt>{{ HTMLElement("sub") }}</dt>
 <dt>{{ HTMLElement("sup") }}</dt>
 <dt>{{ HTMLElement("svg") }}</dt>
 <dt>{{ HTMLElement("template") }}</dt>
 <dt>{{ HTMLElement("textarea") }}</dt>
 <dt>{{ HTMLElement("time") }}</dt>
 <dt>{{ HTMLElement("u") }}</dt>
 <dt>{{ HTMLElement("tt") }}</dt>
 <dt>{{ HTMLElement("var") }}</dt>
 <dt>{{ HTMLElement("video") }}</dt>
 <dt>{{ HTMLElement("wbr") }}</dt>
</dl>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Block-level_elements">Block-level elements</a></li>
 <li><a href="/en-US/docs/Web/HTML/Element">HTML element reference</a></li>
 <li>{{cssxref("display")}}</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Block_and_Inline_Layout_in_Normal_Flow">Block and Inline Layout in Normal Flow</a></li>
</ul>

<div>{{QuickLinksWithSubpages("/en-US/docs/Web/HTML/")}}</div>
